package com.fr.plugin.memory.release.strategy;

import com.fr.decision.system.monitor.release.TerribleLoadReleaseStrategy;
import com.fr.log.FineLoggerFactory;

/**
 * @author bokai
 */
public class TerribleReleaseStrategy extends TerribleLoadReleaseStrategy {
    private static TerribleReleaseStrategy instance = new TerribleReleaseStrategy();

    public static TerribleReleaseStrategy getInstance() {
        return instance;
    }

    @Override
    public void release() {
        FineLoggerFactory.getLogger().error("Terrible release strategy test");
    }

    @Override
    public void checkAtPoint() {
        FineLoggerFactory.getLogger().error("*Terrible release strategy test");
    }

}
