package com.fr.plugin.memory.release.strategy;

import com.fr.decision.system.monitor.release.HighLoadReleaseStrategy;
import com.fr.log.FineLoggerFactory;

/**
 * @author bokai
 */
public class HighReleaseStrategy extends HighLoadReleaseStrategy {
    private static HighReleaseStrategy instance = new HighReleaseStrategy();

    public static HighReleaseStrategy getInstance(){
        return instance;
    }

    @Override
    public void release() {
        FineLoggerFactory.getLogger().error("High release strategy test");
    }

    @Override
    public void checkAtPoint() {
        FineLoggerFactory.getLogger().error("High release strategy test");
    }

}
